# Referrals

Ion Protocol's referral program lets users benefit from referring users who become active with the protocol by lending or borrowing.

{% hint style="info" %}
Before reading on about referrals, check out the [points](/ion-protocol/ion-points.md) section of the docs.
{% endhint %}

## The rules are simple:

1. Anyone can mint a referral code after earning 240 Ion Points.
2. Anyone who uses a referral link gets a referral link after earning 120 points.

Once a user has a referral code they can start increasing their Ion Points earning potential by referring more users.

| Number of Referred | % Increase in Collateral |
| ------------------ | ------------------------ |
| 1                  | 1.5%                     |
| 5                  | 3%                       |
| 10                 | 8%                       |
| 15                 | 10%                      |
| 20                 | 12%                      |
| 25                 | 15%                      |
| 30                 | 20%                      |
| 50-100             | 25%                      |
| 100+               | 30%                      |

## Referral math for borrowers:

$$
hours Borrowing\*(debtValue\*exchangeRate(1 + (percentIncrease / 100)))
$$

## For lenders:

$$
hoursLending\*(depositValue\*exchangeRate \*(1 + (percentIncrease / 100)))
$$


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionprotocol.io/ion-protocol/referrals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
